Commit b830193c authored by Guido Trotter's avatar Guido Trotter
Browse files

Version bump for 2.7.0~beta1



Also update the documentation target versions and the cfgupgrade tool to
recognize 2.6 and upgrade to 2.7
Signed-off-by: default avatarGuido Trotter <ultrotter@google.com>
Reviewed-by: default avatarMichael Hanselmann <hansmi@google.com>
parent 950e32ec
Ganeti 2.6
Ganeti 2.7
==========
For installation instructions, read the INSTALL and the doc/install.rst
......
# Configure script for Ganeti
m4_define([gnt_version_major], [2])
m4_define([gnt_version_minor], [6])
m4_define([gnt_version_revision], [2])
m4_define([gnt_version_suffix], [])
m4_define([gnt_version_minor], [7])
m4_define([gnt_version_revision], [0])
m4_define([gnt_version_suffix], [~beta1])
m4_define([gnt_version_full],
m4_format([%d.%d.%d%s],
gnt_version_major, gnt_version_minor,
......
......@@ -2,7 +2,7 @@
Design document drafts
======================
.. Last updated for Ganeti 2.6
.. Last updated for Ganeti 2.7
.. toctree::
:maxdepth: 2
......
Ganeti customisation using hooks
================================
Documents Ganeti version 2.6
Documents Ganeti version 2.7
.. contents::
......
Ganeti automatic instance allocation
====================================
Documents Ganeti version 2.6
Documents Ganeti version 2.7
.. contents::
......
Security in Ganeti
==================
Documents Ganeti version 2.6
Documents Ganeti version 2.7
Ganeti was developed to run on internal, trusted systems. As such, the
security model is all-or-nothing.
......
Virtual cluster support
=======================
Documents Ganeti version 2.6
Documents Ganeti version 2.7
.. contents::
......
......@@ -52,7 +52,7 @@ args = None
#: Target major version we will upgrade to
TARGET_MAJOR = 2
#: Target minor version we will upgrade to
TARGET_MINOR = 6
TARGET_MINOR = 7
class Error(Exception):
......@@ -204,8 +204,8 @@ def main():
raise Error("Inconsistent configuration: found config_version in"
" configuration file")
# Upgrade from 2.0/2.1/2.2/2.3 to 2.4
if config_major == 2 and config_minor in (0, 1, 2, 3, 4, 5):
# Upgrade from 2.{0..6} to 2.7
if config_major == 2 and config_minor in (0, 1, 2, 3, 4, 5, 6):
if config_revision != 0:
logging.warning("Config revision is %s, not 0", config_revision)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment